oracle.dbtools.plugin.api.types

## Class TypeDependencies<T>

- java.lang.Object
- - oracle.dbtools.plugin.api.types.TypeDependencies<T>

- Type Parameters:
    `T` - The type
  All Implemented Interfaces:
    Iterable<TypeDependency>

      public class TypeDependencies<T>
      extends Object
      implements Iterable<TypeDependency>

  Captures the dependencies of a `Class`
  Since:
    19.3.0
  Author:
    cdivilly

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `boolean` | `isConcrete()` Determines if the type can be instantiated.
    `boolean` | `isInstantiable()` Determines if the type can be instantiated.
    `Iterator<TypeDependency>` | `iterator()`
    `int` | `size()` The number of `TypeDependency` instances
    `String` | `toString()`
    `Class<T>` | `type()` The type

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### isConcrete

          public boolean isConcrete()

      Determines if the type can be instantiated.
      Returns:
        true if the type can be instantiated

    - #### isInstantiable

          public boolean isInstantiable()

      Determines if the type can be instantiated.
      Returns:
        true if the type can be instantiated

    - #### iterator

          public Iterator<TypeDependency> iterator()

      Specified by:
        `iterator` in interface `Iterable<TypeDependency>`

    - #### size

          public int size()

      The number of `TypeDependency` instances
      Returns:
        integer indicating number of `TypeDependency` instances

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### type

          public Class<T> type()

      The type
      Returns:
        `Class` instance

Copyright © 2010, 2022, Oracle and/or its affiliates.